{
  "description": "FlowSchemaSpec describes how the FlowSchema's specification looks like.",
  "properties": {
    "distinguisherMethod": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.flowcontrol.v1.FlowDistinguisherMethod",
      "description": "`distinguisherMethod` defines how to compute the flow distinguisher for requests that match this schema. `nil` specifies that the distinguisher is disabled and thus will always be the empty string."
    },
    "matchingPrecedence": {
      "description": "`matchingPrecedence` is used to choose among the FlowSchemas that match a given request. The chosen FlowSchema is among those with the numerically lowest (which we take to be logically highest) MatchingPrecedence.  Each MatchingPrecedence value must be ranged in [1,10000]. Note that if the precedence is not specified, it will be set to 1000 as default.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "priorityLevelConfiguration": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.flowcontrol.v1.PriorityLevelConfigurationReference",
      "description": "`priorityLevelConfiguration` should reference a PriorityLevelConfiguration in the cluster. If the reference cannot be resolved, the FlowSchema will be ignored and marked as invalid in its status. Required."
    },
    "rules": {
      "description": "`rules` describes which requests will match this flow schema. This FlowSchema matches a request if and only if at least one member of rules matches the request. if it is an empty slice, there will be no requests matching the FlowSchema.",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.flowcontrol.v1.PolicyRulesWithSubjects"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-list-type": "atomic"
    }
  },
  "required": [
    "priorityLevelConfiguration"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/flowschemaspec/flowcontrol/v1"
}